/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __PH_DIALER_SEARCH_H__
#define __PH_DIALER_SEARCH_H__

void ph_dialer_search_request(void *data, int force_search);
void ph_dialer_search_result_clicked(void *data, Evas_Object *obj, const char *emission, const char *source);
void ph_dialer_search_free_search_data(ph_dialer_data *dial_d);
void ph_dialer_search_free_log_data(ph_dialer_data *dial_d);
void ph_dialer_search_free_cc_data(ph_dialer_data *dial_d);
void ph_dialer_search_find_cur_sim_cc(ph_dialer_data *dial_d);
void ph_dialer_search_fill_genlist_by_list(ph_dialer_data *dial_d);
void ph_dialer_search_fill_genlist_by_cc_list(ph_dialer_data *dial_d);
void ph_dialer_search_set_genlist_item_style();

#endif     /* __PH_DIALER_SEARCH_H__ */
