/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __PH_FAVORITE_EDIT_H__
#define __PH_FAVORITE_EDIT_H__

void ph_favor_edit_mode_end(ph_favorite_data *favor_d, bool redraw);
void ph_favor_edit_set_selection_info(ph_favorite_data *favor_d);
void ph_favor_edit_check_changed_cb(void *data, Evas_Object *obj, void *event_info);
void ph_frequent_edit_check_changed_cb(void *data, Evas_Object *obj, void *event_info);
void ph_favor_edit_del_btn_cb(void *data, Evas_Object *obj, void *event_info);
void ph_favor_edit_cancel_cb(void *data, Evas_Object *obj, void *event_info);
void ph_favor_edit_check_for_number(Elm_Object_Item *item, ph_favorite_data *favor_d);
void ph_favor_edit_check_for_email(Elm_Object_Item *item, ph_favorite_data *favor_d);
void ph_favor_edit_check_for_number_or_email(Elm_Object_Item *item, ph_favorite_data *favor_d);

#endif /* __PH_FAVORITE_EDIT_H__ */
