/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __PH_LOG_CHECK_VIEW_H_
#define __PH_LOG_CHECK_VIEW_H_

void ph_log_check_mode_end(ph_log_data *log_d, bool redraw);
void ph_log_check_update_select_all(ph_log_data *log_d);
void ph_log_check_update_selection_info(ph_log_data *log_d);
void ph_log_check_update_button_status(ph_log_data *log_d);
void ph_log_check_done_btn_cb(void *data, Evas_Object *obj, void *event_info);
void ph_log_check_del_btn_cb(void *data, Evas_Object *obj, void *event_info);
void ph_log_check_check_changed_cb(void *data, Evas_Object *obj, void *event_info);

#endif /* __PH_LOG_CHECK_VIEW_H_ */
