/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __CT_GROUP_H__
#define __CT_GROUP_H__

Evas_Object* phone_create_group_view(ph_view_info *view_info);
Evas_Object* phone_create_group_view_ug(ui_gadget_h ug, Evas_Object *parent, int ug_request);
void phone_group_set_navi(Evas_Object *layout);
void phone_group_view_reset(Evas_Object *base);
void phone_group_view_language_changed(Evas_Object *navi);
void phone_group_set_background(Evas_Object *obj, bool is_background);
void phone_group_email_result_cb(void *data, int *list, int cnt);
void phone_group_message_result_cb(void *data, int *list, int cnt);


#endif /* __CT_GROUP_H__ */
