/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __PH_DIALER_TAPI_H__
#define __PH_DIALER_TAPI_H__

int GCF_tapi_init();
int GCF_tapi_deinit();
void GCF_test_puk_operation(const char *puk1, const char *pin1, void *user_data);
void GCF_test_read_contact(int index, void *user_data);
int GCF_check_puk1_str(const char *number, char *dest_puk, char *dest_pin1, char *dest_pin2, int size_dest);
bool GCF_check_admin_sim(const char *number, int *ret_index);

#endif /* __PH_DIALER_TAPI_H__ */
